package com.zhiwei.manage.bean;

import java.io.Serializable;

import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 字段类
 * 
 * @author Administrator
 *
 */
@Document(collection="Field")
public class FieldBean implements Serializable {
	
	private static final long serialVersionUID = 3693077530412674407L;
	private String id;
	private int fieldSize;
	private String field;
	private String collection;
	private String dbName;
	private String pt;
	private String dbId;

	public String getDbId() {
		return dbId;
	}

	public void setDbId(String dbId) {
		this.dbId = dbId;
	}

	public String getDbName() {
		return dbName;
	}

	public void setDbName(String dbName) {
		this.dbName = dbName;
	}


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getFieldSize() {
		return fieldSize;
	}

	public void setFieldSize(int fieldSize) {
		this.fieldSize = fieldSize;
	}

	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}

	public String getCollection() {
		return collection;
	}

	public void setCollection(String collection) {
		this.collection = collection;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	@Override
	public String toString() {
		return "FieldBean [id=" + id + ", fieldSize=" + fieldSize + ", field=" + field + ", collection=" + collection
				+ ", dbName=" + dbName + ", pt=" + pt + ", dbId=" + dbId + "]";
	}

}
